ion-col,
ion-searchbar,
ion-row,
button {
  margin: 0;
  padding: 0;
  --margin: 0;
  --padding: 0;
}

ion-grid {
  padding: var(--spacing-medium) 0;
}

button {
  border: none;
  background: none;
}

.header {
  align-self: stretch;
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 1.5rem;
  font-weight: 700;
}

.location-section-subheader {
  align-self: stretch;
  color: var(--Secondary-Foreground, rgba(255, 255, 255, 0.65));
  font-size: 0.9375rem;
}

.header-agreement {
  color: var(--Main-Foreground, #000);
  font-size: 0.9375rem;
  font-weight: 700;
}

ion-searchbar {
  --border-radius: 62.5rem;
  --height: 2rem;
  padding: 0.3rem 0.3rem 0.3rem 0.3rem;
  --box-shadow: 0 0 0 2px var(--Main-Foreground); // simulated border
  --background: transparent;
  --placeholder-color: var(--Main-Foreground);
  --placeholder-opacity: 1;
  --icon-color: var(--Main-Foreground);
  --placeholder-font-weight: 400;
  overflow: visible;
}

ion-searchbar.searchbar-has-focus {
  --placeholder-opacity: 0.4;
}

.search-item-list {
  align-self: stretch;
  border-radius: 0 0 var(--card-corner-radius, 1.25rem)
    var(--card-corner-radius, 1.25rem);
  border-right: 2px solid var(--Hint-Foreground, rgba(255, 255, 255, 0.15));
  border-bottom: 2px solid var(--Hint-Foreground, rgba(255, 255, 255, 0.15));
  border-left: 2px solid var(--Hint-Foreground, rgba(255, 255, 255, 0.15));
  overflow: hidden;
  padding: var(--card-text-padding-vertical, 0.625rem)
    var(--card-text-padding-horizontal, 0.9375rem);
}

.search-item-suggestion {
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: var(--text-size-header-medium);
  text-align: left;
}

.search-item-suggestion:hover {
  background: var(--Hint-Foreground);
}

.waste-type-container {
  align-self: stretch;
}

.date-time-container {
  align-items: center;
  flex-direction: row;
}

.set-time-text {
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 0.9375rem;
  font-style: normal;
  line-height: normal;
}

.notification-radio-group {
  align-items: flex-start;
}

.waste-type-subheader {
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 0.9375rem;
  font-weight: 700;
}

ion-datetime-button::part(native) {
  background: transparent;
  border-radius: 6.25rem;
  border: 2px solid var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 0.9375rem;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  display: flex;
  padding: 0.25rem 0.75rem;
  align-items: flex-start;
  gap: 0.625rem;
}

ion-datetime {
  --wheel-fade-background-rgb: var(--Hint-Foreground);
  background-color: var(--Hint-Foreground);
}

ion-radio {
  display: block;
  padding-right: 0;
  --color-checked: var(--Main-Foreground);
  --border-color: var(--Main-Foreground);
}

.search-bar-row {
  position: relative;
  width: 100%;
}

.search-bar-header {
  position: absolute;
  top: -5px;
  left: 25px;
  background: var(--Maximum-Background);
  padding: 0 4px;
  font-size: 0.75rem;
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.65));
  z-index: 1;
}

.error-message {
  color: var(--Main-Foreground, rgba(255, 255, 255, 0.9));
  font-size: 0.9375rem;
  align-items: center;
}

.disabled {
  pointer-events: none;
  opacity: 0.3;
}

.search-bar-section-header {
  color: var(--Main-Foreground, #000);
  font-size: 0.9375rem;
  font-weight: 700;
}
